Subject: Re: [PATCH 2/4] commit: introduce a config key to allow as-is commit with i-t-a entries

From: Jonathan Nieder <[email-masked]>
Date: Mon, 6 Feb 2012 15:13:21 -0600

Hi,

Junio C Hamano wrote:

> IIRC, the original motivation of intent-to-add "add -N" was in response to
> users who curse Git because they often forget to add new files before
> committing, and they wanted to say "Here I have a new file, it is not
> complete yet, but I do not want it left out of the commit. While my memory
> is fresh, let me tell Git to keep an eye on it, so that it can remind me
> if I forget to add the final contents."

I agree with everything up to here.  But I believe these people were
_already_ paying attention to "git status" output from the commandline
and in the editor window when they run "git commit", to notice other
changes they forgot to add, too.  I don't think this series would
inconvenience them.

Hoping I can find time to look over the other changes soon.

Thanks,
Jonathan